Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.tileentity
Class TileEntityBeacon

    java.lang.Object
      net.minecraft.tileentity.TileEntity
          net.minecraft.tileentity.TileEntityBeacon

All Implemented Interfaces:
  IInventory

    public class TileEntityBeacon

extends TileEntity
implements IInventory

Field Summary
`static Potion[][]` | `effectsList` List of effects that Beacon can apply

Fields inherited from class net.minecraft.tileentity.TileEntity
`blockMetadata, blockType, worldObj, xCoord, yCoord, zCoord`

Constructor Summary
`TileEntityBeacon()`

Method Summary
`void` | `closeChest()`
`ItemStack` | `decrStackSize(int par1, int par2)` Removes from an inventory slot (first arg) up to a specified number (second arg) of items and returns them in a new stack.
`double` | `func_82115_m()`
`float` | `func_82125_v_()`
`void` | `func_82127_e(int par1)`
`void` | `func_82128_d(int par1)`
`Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
`int` | `getInventoryStackLimit()` Returns the maximum stack size for a inventory slot.
`String` | `getInvName()` Returns the name of the inventory.
`int` | `getLevels()` Return the levels of this beacon's pyramid.
`int` | `getPrimaryEffect()` Return the primary potion effect given by this beacon.
`int` | `getSecondaryEffect()` Return the secondary potion effect given by this beacon.
`int` | `getSizeInventory()` Returns the number of slots in the inventory.
`ItemStack` | `getStackInSlot(int par1)` Returns the stack in slot i
`ItemStack` | `getStackInSlotOnClosing(int par1)` When some containers are closed they call this on each slot, then drop whatever it returns as an EntityItem - like when you close a workbench GUI.
`boolean` | `isUseableByPlayer(EntityPlayer par1EntityPlayer)` Do not make give this method the name canInteractWith because it clashes with Container
`void` | `openChest()`
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
`void` | `setInventorySlotContents(int par1, ItemStack par2ItemStack)` Sets the given item stack to the specified slot in the inventory (can be crafting or armor sections).
`void` | `setLevels(int par1)`
`void` | `updateEntity()` Allows the entity to update its state.
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

Methods inherited from class net.minecraft.tileentity.TileEntity
`addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_85027_a, getBlockMetadata, getBlockType, getDistanceFrom, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, shouldRefresh, updateContainingBlockInfo, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.minecraft.inventory.IInventory
`onInventoryChanged`

Field Detail

### effectsList

    public static final Potion[][] effectsList

  List of effects that Beacon can apply

Constructor Detail

### TileEntityBeacon

    public TileEntityBeacon()

Method Detail

### updateEntity

    public void updateEntity()

  Allows the entity to update its state. Overridden in most subclasses, e.g. the mob spawner uses this to count ticks and creates a new spawn inside its implementation.

  Overrides:
    `updateEntity` in class `TileEntity`

### func_82125_v_

    public float func_82125_v_()

### getPrimaryEffect

    public int getPrimaryEffect()

  Return the primary potion effect given by this beacon.

### getSecondaryEffect

    public int getSecondaryEffect()

  Return the secondary potion effect given by this beacon.

### getLevels

    public int getLevels()

  Return the levels of this beacon's pyramid.

### setLevels

    public void setLevels(int par1)

### func_82128_d

    public void func_82128_d(int par1)

### func_82127_e

    public void func_82127_e(int par1)

### getDescriptionPacket

    public Packet getDescriptionPacket()

  Overriden in a sign to provide the text.

  Overrides:
    `getDescriptionPacket` in class `TileEntity`

### func_82115_m

    public double func_82115_m()

  Overrides:
    `func_82115_m` in class `TileEntity`

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  Reads a tile entity from NBT.

  Overrides:
    `readFromNBT` in class `TileEntity`

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  Writes a tile entity to NBT.

  Overrides:
    `writeToNBT` in class `TileEntity`

### getSizeInventory

    public int getSizeInventory()

  Returns the number of slots in the inventory.

  Specified by:
    `getSizeInventory` in interface `IInventory`

### getStackInSlot

    public ItemStack getStackInSlot(int par1)

  Returns the stack in slot i

  Specified by:
    `getStackInSlot` in interface `IInventory`

### decrStackSize

    public ItemStack decrStackSize(int par1,
                                   int par2)

  Removes from an inventory slot (first arg) up to a specified number (second arg) of items and returns them in a new stack.

  Specified by:
    `decrStackSize` in interface `IInventory`

### getStackInSlotOnClosing

    public ItemStack getStackInSlotOnClosing(int par1)

  When some containers are closed they call this on each slot, then drop whatever it returns as an EntityItem - like when you close a workbench GUI.

  Specified by:
    `getStackInSlotOnClosing` in interface `IInventory`

### setInventorySlotContents

    public void setInventorySlotContents(int par1,
                                         ItemStack par2ItemStack)

  Sets the given item stack to the specified slot in the inventory (can be crafting or armor sections).

  Specified by:
    `setInventorySlotContents` in interface `IInventory`

### getInvName

    public String getInvName()

  Returns the name of the inventory.

  Specified by:
    `getInvName` in interface `IInventory`

### getInventoryStackLimit

    public int getInventoryStackLimit()

  Returns the maximum stack size for a inventory slot. Seems to always be 64, possibly will be extended. *Isn't this more of a set than a get?*

  Specified by:
    `getInventoryStackLimit` in interface `IInventory`

### isUseableByPlayer

    public boolean isUseableByPlayer(EntityPlayer par1EntityPlayer)

  Do not make give this method the name canInteractWith because it clashes with Container

  Specified by:
    `isUseableByPlayer` in interface `IInventory`

### openChest

    public void openChest()

  Specified by:
    `openChest` in interface `IInventory`

### closeChest

    public void closeChest()

  Specified by:
    `closeChest` in interface `IInventory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD